msrunreader.h File Reference

base interface to read MSrun files More...

`#include <memory>`
`#include <map>`
`#include <QMutex>`
`#include "../trace/maptrace.h"`
`#include "msrunid.h"`
`#include "../massspectrum/qualifiedmassspectrum.h"`
`#include "../msfile/msfilereader.h"`
`#include "../exportinmportconfig.h"`
`#include "xiccoord/xiccoord.h"`

Go to the source code of this file.

## Classes

class | pappso::SpectrumCollectionHandlerInterface
| interface to collect spectrums from the MsRunReader class More...
class | pappso::MsRunSimpleStatistics
| example of interface to count MS levels of all spectrum in an MSrun More...
class | pappso::MsRunReaderScanNumberMultiMap
| provides a multimap to find quickly spectrum index from scan number More...
class | pappso::MsRunReaderRetentionTimeLine
| collect retention times along MS run More...
class | pappso::MsRunReaderTicChromatogram
| calculate a TIC chromatogram More...
class | pappso::MsRunReader
| base class to read MSrun the only way to build a MsRunReader object is to use the MsRunReaderFactory More...

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MsRunReader > | pappso::MsRunReaderSPtr
typedef std::shared_ptr< const MsRunReader > | pappso::MsRunReaderCstSPtr

## Functions

| Q_DECLARE_METATYPE (pappso::MsRunReaderSPtr)

## Variables

class PMSPP_LIB_DECL | pappso::MsRunReader
int | msRunReaderSPtrMetaTypeId

## Detailed Description

base interface to read MSrun files

Date
  29/05/2018

Author
  Olivier Langella

Definition in file msrunreader.h.

## Function Documentation

## Q_DECLARE_METATYPE()

Q_DECLARE_METATYPE | ( | pappso::MsRunReaderSPtr |  | ) |

## Variable Documentation

## msRunReaderSPtrMetaTypeId

int msRunReaderSPtrMetaTypeId

extern

Definition at line 34 of file msrunreader.cpp.